Name: coreutils-gnu
Version: 8.25
Release: 9
License: GPL-3.0-or-later
Summary: GNU coreutils
Url: https://www.gnu.org/software/coreutils

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: gettext-tools

Source0: https://ftp.gnu.org/pub/gnu/coreutils/coreutils-%{version}.tar.xz

Patch0: coreutils-gnu-dev_t-64bit.patch
Patch1: coreutils-readlinkat.patch
Patch2: coreutils-really-no-openat.patch
Patch3: coreutils-no-o_search.patch
Patch4: coreutils-uname-processor.patch
Patch5: coreutils-libstdbuf-malloc.patch
Patch6: coreutils-fix-operand2sig.patch

%description
The GNU Core Utilities are the basic file, shell and text manipulation utilities
of the GNU operating system. These are the core utilities which are expected to
exist on every operating system.

%prep

%setup -q -n coreutils-%{version}

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build

autoreconf -fi

%define use_prefix 0

%configure \
  ac_cv_func_timer_settime=no \
  ac_cv_func_clock_settime=no \
  ac_cv_func_posix_fadvise=no \
  ac_cv_func_faccessat=no \
  ac_cv_func_fchmodat=no \
  ac_cv_func_fchownat=no \
  ac_cv_func_fstatat=no \
  ac_cv_func_futimesat=no \
  ac_cv_func_linkat=no \
  ac_cv_func_mkdirat=no \
  ac_cv_func_mkfifoat=no \
  ac_cv_func_mknodat=no \
  ac_cv_func_openat=no \
  ac_cv_func_readlinkat=no \
  ac_cv_func_renameat=no \
  ac_cv_func_symlinkat=no \
  ac_cv_func_unlinkat=no \
  ac_cv_func_utimensat=no \
  LDFLAGS="-Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib -L%{_libdir}" \
%if %{use_prefix}
  --program-prefix=g \
%endif
  --without-openssl \
  --disable-acl \
  --disable-xattr \
  --disable-nls \
  --disable-rpath \
  --disable-dependency-tracking \
  #end
  
%make_build


%install

%make_install

rm %{buildroot}%{_libdir}/charset.alias || :

%files
%defattr(-, qsys, *none)

%{_bindir}/install
%{_bindir}/chroot
%{_bindir}/hostid
%{_bindir}/nice
%{_bindir}/who
%{_bindir}/users
%{_bindir}/pinky
%{_bindir}/uptime
%{_bindir}/stty
%{_bindir}/df
%{_bindir}/stdbuf
%{_bindir}/[
%{_bindir}/base64
%{_bindir}/base32
%{_bindir}/basename
%{_bindir}/cat
%{_bindir}/chcon
%{_bindir}/chgrp
%{_bindir}/chmod
%{_bindir}/chown
%{_bindir}/cksum
%{_bindir}/comm
%{_bindir}/cp
%{_bindir}/csplit
%{_bindir}/cut
%{_bindir}/date
%{_bindir}/dd
%{_bindir}/dir
%{_bindir}/dircolors
%{_bindir}/dirname
%{_bindir}/du
%{_bindir}/echo
%{_bindir}/env
%{_bindir}/expand
%{_bindir}/expr
%{_bindir}/factor
%{_bindir}/false
%{_bindir}/fmt
%{_bindir}/fold
%{_bindir}/groups
%{_bindir}/head
%{_bindir}/id
%{_bindir}/join
%{_bindir}/kill
%{_bindir}/link
%{_bindir}/ln
%{_bindir}/logname
%{_bindir}/ls
%{_bindir}/md5sum
%{_bindir}/mkdir
%{_bindir}/mkfifo
%{_bindir}/mknod
%{_bindir}/mktemp
%{_bindir}/mv
%{_bindir}/nl
%{_bindir}/nproc
%{_bindir}/nohup
%{_bindir}/numfmt
%{_bindir}/od
%{_bindir}/paste
%{_bindir}/pathchk
%{_bindir}/pr
%{_bindir}/printenv
%{_bindir}/printf
%{_bindir}/ptx
%{_bindir}/pwd
%{_bindir}/readlink
%{_bindir}/realpath
%{_bindir}/rm
%{_bindir}/rmdir
%{_bindir}/runcon
%{_bindir}/seq
%{_bindir}/sha1sum
%{_bindir}/sha224sum
%{_bindir}/sha256sum
%{_bindir}/sha384sum
%{_bindir}/sha512sum
%{_bindir}/shred
%{_bindir}/shuf
%{_bindir}/sleep
%{_bindir}/sort
%{_bindir}/split
%{_bindir}/stat
%{_bindir}/sum
%{_bindir}/sync
%{_bindir}/tac
%{_bindir}/tail
%{_bindir}/tee
%{_bindir}/test
%{_bindir}/timeout
%{_bindir}/touch
%{_bindir}/tr
%{_bindir}/true
%{_bindir}/truncate
%{_bindir}/tsort
%{_bindir}/tty
%{_bindir}/uname
%{_bindir}/unexpand
%{_bindir}/uniq
%{_bindir}/unlink
%{_bindir}/vdir
%{_bindir}/wc
%{_bindir}/whoami
%{_bindir}/yes

%{_libexecdir}/coreutils/libstdbuf.so

%{_infodir}/coreutils.info*

%{_mandir}/man1/chroot.1*
%{_mandir}/man1/hostid.1*
%{_mandir}/man1/nice.1*
%{_mandir}/man1/who.1*
%{_mandir}/man1/users.1*
%{_mandir}/man1/pinky.1*
%{_mandir}/man1/uptime.1*
%{_mandir}/man1/stty.1*
%{_mandir}/man1/df.1*
%{_mandir}/man1/stdbuf.1*
%{_mandir}/man1/base64.1*
%{_mandir}/man1/base32.1*
%{_mandir}/man1/basename.1*
%{_mandir}/man1/cat.1*
%{_mandir}/man1/chcon.1*
%{_mandir}/man1/chgrp.1*
%{_mandir}/man1/chmod.1*
%{_mandir}/man1/chown.1*
%{_mandir}/man1/cksum.1*
%{_mandir}/man1/comm.1*
%{_mandir}/man1/cp.1*
%{_mandir}/man1/csplit.1*
%{_mandir}/man1/cut.1*
%{_mandir}/man1/date.1*
%{_mandir}/man1/dd.1*
%{_mandir}/man1/dir.1*
%{_mandir}/man1/dircolors.1*
%{_mandir}/man1/dirname.1*
%{_mandir}/man1/du.1*
%{_mandir}/man1/echo.1*
%{_mandir}/man1/env.1*
%{_mandir}/man1/expand.1*
%{_mandir}/man1/expr.1*
%{_mandir}/man1/factor.1*
%{_mandir}/man1/false.1*
%{_mandir}/man1/fmt.1*
%{_mandir}/man1/fold.1*
%{_mandir}/man1/install.1*
%{_mandir}/man1/groups.1*
%{_mandir}/man1/head.1*
%{_mandir}/man1/id.1*
%{_mandir}/man1/join.1*
%{_mandir}/man1/kill.1*
%{_mandir}/man1/link.1*
%{_mandir}/man1/ln.1*
%{_mandir}/man1/logname.1*
%{_mandir}/man1/ls.1*
%{_mandir}/man1/md5sum.1*
%{_mandir}/man1/mkdir.1*
%{_mandir}/man1/mkfifo.1*
%{_mandir}/man1/mknod.1*
%{_mandir}/man1/mktemp.1*
%{_mandir}/man1/mv.1*
%{_mandir}/man1/nl.1*
%{_mandir}/man1/nproc.1*
%{_mandir}/man1/nohup.1*
%{_mandir}/man1/numfmt.1*
%{_mandir}/man1/od.1*
%{_mandir}/man1/paste.1*
%{_mandir}/man1/pathchk.1*
%{_mandir}/man1/pr.1*
%{_mandir}/man1/printenv.1*
%{_mandir}/man1/printf.1*
%{_mandir}/man1/ptx.1*
%{_mandir}/man1/pwd.1*
%{_mandir}/man1/readlink.1*
%{_mandir}/man1/realpath.1*
%{_mandir}/man1/rm.1*
%{_mandir}/man1/rmdir.1*
%{_mandir}/man1/runcon.1*
%{_mandir}/man1/seq.1*
%{_mandir}/man1/sha1sum.1*
%{_mandir}/man1/sha224sum.1*
%{_mandir}/man1/sha256sum.1*
%{_mandir}/man1/sha384sum.1*
%{_mandir}/man1/sha512sum.1*
%{_mandir}/man1/shred.1*
%{_mandir}/man1/shuf.1*
%{_mandir}/man1/sleep.1*
%{_mandir}/man1/sort.1*
%{_mandir}/man1/split.1*
%{_mandir}/man1/stat.1*
%{_mandir}/man1/sum.1*
%{_mandir}/man1/sync.1*
%{_mandir}/man1/tac.1*
%{_mandir}/man1/tail.1*
%{_mandir}/man1/tee.1*
%{_mandir}/man1/test.1*
%{_mandir}/man1/timeout.1*
%{_mandir}/man1/touch.1*
%{_mandir}/man1/tr.1*
%{_mandir}/man1/true.1*
%{_mandir}/man1/truncate.1*
%{_mandir}/man1/tsort.1*
%{_mandir}/man1/tty.1*
%{_mandir}/man1/uname.1*
%{_mandir}/man1/unexpand.1*
%{_mandir}/man1/uniq.1*
%{_mandir}/man1/unlink.1*
%{_mandir}/man1/vdir.1*
%{_mandir}/man1/wc.1*
%{_mandir}/man1/whoami.1*
%{_mandir}/man1/yes.1*

%changelog
* Tue Jul 12 2022 Kevin Adler <kadler@us.ibm.com> - 8.25
- Fix bug when passing numeric signals to kill (eg. kill -9) always uses signal
  0 instead of the signal specified

* Tue Feb 15 2022 Abdirahim Musse <abdirahim.musse@ibm.com> - 8.25
- Fix malloc issue when _LINUX_SOURCE_COMPAT and -maltivec/-mvsx are set

* Mon Oct 05 2020 Abdirahim Musse <abdirahim.musse@ibm.com> - 8.25
- Patch uname -p to return proper arch instead of unknown

* Wed May 27 2020 Kevin Adler <kadler@us.ibm.com> - 8.25
- Use generic paths for man and info pages to allow for compression

* Fri Dec 13 2019 Kevin Adler <kadler@us.ibm.com> - 8.25
- Patch out unsupported O_SEARCH flag

* Wed Dec 04 2019 Kevin Adler <kadler@us.ibm.com> - 8.25
- Use SPDX license identifier

* Tue Dec 03 2019 Kevin Adler <kadler@us.ibm.com> - 8.25
- Port patch from findutils to fix broken calls to fstatat
- Prevent using unimplemented timer_settime, fixing timeout command

* Thu Nov 21 2019 Kevin Adler <kadler@us.ibm.com> - 8.25
- Disable half-implemented *at APIs, clock_settime, & posix_fadvise, fixing IBM i 7.2 build

* Mon Jul 16 2018 - Kevin Adler <kadler@us.ibm.com>
- Add patch to fix 64-bit device handling

* Mon Mar 12 2018 - Kevin Adler <kadler@us.ibm.com>
- Remove unpackaged charset.alias

* Sat Mar 03 2018 - Kevin Adler <kadler@us.ibm.com>
- Add build requirements
- Remove gcc wrappers
- Add -D flags to CPPFLAGS instead of CFLAGS/CXXFLAGS

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Remove outdated TODO comments

* Mon Jun 05 2017 - Kevin Adler <kadler@us.ibm.com>
- Use make_build and make_install macros

* Sun Apr 23 2017 - Kevin Adler <kadler@us.ibm.com>
- Remove extra space in Summary lines

* Thu Apr 20 2017 - Kevin Adler <kadler@us.ibm.com>
- Add spec files
